1.161 2019-10-25
================
[Quiq::AnsiColor]
* Doku bearbeitet

[Quiq::Assert]
* Option -sloppy entfernt
* Unterscheidung nach Aufrufkontext eingeführt
* Stacktrace konfigurierbar
* Namensabschnitt in Exception konfigurierbar

[Quiq::Cascm]
* edit() - Packagename optional gemacht
* passVersion() - hinzugefügt
* package() - Versionsnummer optional gemacht
* showPackage() - Option -minVersion hinzugefügt

[Quiq::Database::Connection]
* Kosmetik

[Quiq::Epoch]
* Format YYYY-MM-DD hinzugefügt

[Quiq::Path]
* tempDir() - Optionen eingeführt

[Quiq::Program]
* assert() - hinzugefügt

[Quiq::Progress]
* ":" für alle Formatelemente

[Quiq::Shell]
* Laufzeitausgabe verbessert

[Quiq::Sql::Script::Reader]
* Doku bearbeitet

[Quiq::TempDir]
* new() - Option -cleanup hinzugefügt

[Quiq::Test::Class]
* Asserts angepasst

1.160 2019-10-17
================
[Quiq::ChartJs::TimeSeries]
* Doku bearbeitet

[Quiq::Database::Api::Dbi::Connection]
* new() - Option -autoCommit hinzugefügt

[Quiq::Database::Connection]
* new() - Option -autoCommit hinzugefügt

[Quiq::Sdoc::Producer]
* Klasse hinzugefügt

[Quiq::AsciiTable]
* Doku bearbeitet

[Quiq::Cascm]
* edit() - Rückfrage vor switchPackage()
* putFiles() - Rückfrage vor switchPackage()
* deleteVersion() - verallgemeinert, Löschen bis zu einer bestimmten Version
* findItem() - Optionalen Parameter $minVersion hinzugefügt
* createPackage() - Optionalen Parameter $state hinzugefügt
* switchPackage() - Packages können sich nun auf verschieden Stufen befinden
* movePackage() - Option -askUser hinzugefügt

[Quiq::Parallel]
* runFetch() - Option -progressNameSub hinzugefügt

[Quiq::Path]
* mtimePaths() - hinzugefügt

[Quiq::Progress]
* Prozentangabe nun abgerundet

1.159 2019-10-05
================
[Quiq::ChartJs::TimeSeries]
* Klasse hinzugefügt

[Quiq::Html::Tag]
* Element <canvas> hinzugefügt

[Quiq::Object]
* Doku korrigiert

[Quiq::Path]
* numberPaths() hinzugefügt
* Doku korrigiert

[Quiq::PostgreSql::Catalog]
* Klasse hinzugefügt

[Quiq::TempFile]
* Option -dir korrigiert

1.158 2019-09-21
================
[Quiq::Cascm]
* edit() - Transportpackage eingeführt
* putFiles() - Transportpackage eingeführt

[Makefile.PL]
* Expect zu PREREQ_PM hinzugefügt

1.157 2019-09-15
================
[Quiq::Database::Config]
* Default-Konfigurationsdatei von ~/.database.conf in db.conf umbenannt
* Option -sloppy zum Konstruktor hinzugefügt
* Attribut configFile korrigiert und Exceptions angepasst

[Quiq::Database::Connection]
* Exceptions auf Englisch

[Quiq::PostgreSql::CopyFormat]
* Klasse hinzugefügt

[Quiq::PostgreSql::Psql]
* Klasse hinzugefügt

[Quiq::Concat]
* Doku bearbeitet

[Quiq::Epoch]
* Doku bearbeitet
* Aussagekräftiger Exception-Text

[Quiq::Perl]
* perlDoFile() - Execptions auf Englisch

[Quiq::Sql]
* insertMulti() - Newline am Ende entfernt

[Quiq::Stopwatch]
* Mehrere Timer in einem Objekt eingeführt
* Abschnittszeiten eingeführt

[Quiq::Udl]
* Erweiterung um UDL-Namen durch Konsultation von Konfigurationsdatei

1.156 2019-09-05
================
[Quiq::Database::Connection]
* Kosmetik

[Quiq::Database::Cursor]
* fetchAll() um Argument $limit ergänzt

[Quiq::Database::ResultSet]
* Logik für unvollständige Ergebnismenge hinzugefügt

[Quiq::Sql::Script::Reader]
* Trennlinie überlesen

[Quiq::Cascm]
* abstract() hinzugefügt
* getVersion() hinzugefügt
* deleteToVersion() hinzugefügt
* deletePackage() zu deletePackages() erweitert
* showPackage() um Rückgabe von Datensätzen erweitert
* switchPackage() reduziert auf Dateinamen

[Quiq::Converter]
* stringToKeyVal() akzeptiert nun auch einfache Anführungsstriche

[Quiq::Dbms]
* Kosmetik

[Quiq::Pygments]
* styles() - Test angepasst, falls "pymentize -L" nicht verstanden wird

[Quiq::Range]
* Klasse hinzugefügt

[Quiq::Rsync]
* exec() um Option -print und Rückgabewerte erweitert

[Quiq::Shell]
* backDir() hinzugefügt

1.155 2019-08-27
================
[Quiq::Database::Api::Dbi::Connection]
* Doku bearbeitet

[Quiq::Database::Config]
* Neue Klasse

[Quiq::Database::Connection]
* Doku bearbeit

[Quiq::Database::Cursor]
* Alias elapsed() für time() hinzugefügt

[Quiq::Database::ResultSet]
* Kosmetik

[Quiq::Hash::Db]
* umbenannt von Quiq::PersistentHash

[Quiq::Hash::Persistent]
* Klasse hinzugefügt

[Quiq::Html::Widget::SelectMenu]
* Attribut optionPairs => \@pairs hinzugefügt

[Quiq::JQuery::DataTable]
* Unterstützung für Array-Rows hinzugefügt

[Quiq::Sql::Script::Reader]
* Klasse hinzugefügt

[Quiq::Sql::Analyzer]
* Klasse hinzugefügt

[Quiq::Dbms]
* Klasse hinzugefügt

[Quiq::FileHandle]
* Fehlermeldung geändert

[Quiq::Path]
* Methoden stat() und touch() hinzugefügt

[Quiq::Process]
* Methode uid() hinzugefügt
* Doku bearbeitet

[Quiq::Program]
* Behandlung bei fehlender -help Option korrigiert
* Behandlung von $maxArgs = undef korrigiert

[Quiq::Sql]
* Auf Basisklasse Quiq::Dbms umgestellt

[Quiq::Storable]
* Timeout um negative Werte erweitert (Zeitverlängerung)

[Quiq::TempFile]
* Option -pathOnly hinzugefügt

1.154 2019-08-11
================
[Quiq::Cascm]
* deleteAllVersions() hinzugefügt
* Selektion in findItem() verbessert
* repoFileToFile() um Option -sloppy erweitert

[Quiq::Database::Connection]
* Tempdatei-Erzeugung auf Quiq::Path umgestellt

[Quiq::Database::ResultSet]
* Ausgabe von asTable() geändert

[Quiq::Diff]
* Tempdatei-Erzeugung auf Quiq::Path umgestellt

[Quiq::Html::Construct]
* Klasse hinzugefügt

[Quiq::Html::Fragment]
* Komponente html auf mehrere Abschnitte ausgedehnt

[Quiq::Html::Page]
* Attribut load hinzugefügt

[Quiq::Html::Producer]
* Klasse hinzugefügt

[Quiq::Parallel]
* Tempdatei-Erzeugung auf Quiq::Path umgestellt

[Quiq::Path]
* tempFile() und tempDir() hinzugefügt

[Quiq::TempFile]
* Doku bearbeitet

1.153 2019-08-03
================
[Quiq::Diff]
* Klasse hinzugefügt

[Quiq::Gd::Font]
* Umbenannt: GD -> Gd

[Quiq::Gd::Image]
* Umbenannt: GD -> Gd

[Quiq::Html::Fragment]
* Doku bearbeitet

[Quiq::Path]
* find(): Tilde-Expansion hinzugefügt
* truncate(): Tilde-Expansion hinzugefügt
* unindent(): neue Methode

[Quiq::Storable]
* Kosmetik

[Quiq::TempFile]
* new(): Speichern von Daten hinzugefügt

[Quiq::Test::Class]
* in(): Bessere Information im Fehlerfall

1.152 2019-07-25
================
[Quiq::Digest]
* Methode md5() erweitert

[Quiq::Excel::Writer]
* Doku bearbeitet

[Quiq::GD::Font]
* Test der Methode charWidth() erweitert

[Quiq::Path]
* Methode age() hinzugefügt

[Quiq::Storable]
* Methode memoize() um Parameter $duration erweitert

1.151 2019-07-08
================
[Quiq::Assert]
* Option -sloppy mit Returnwert eingeführt

[Quiq::GD::Font]
* Tests unabhängiger von Font- und gdlib-Version gemacht

[Quiq::GD::Image]
* Kosmetik

[Quiq::PersistentHash]
* Doku bearbeitet

[Quiq::Test::Class]
* Methode in() hinzugefügt

1.150 2019-07-07
================
[Quiq::Assert]
* Doku bearbeitet

[Quiq::Debug]
* Doku bearbeitet

[Quiq::GD::Font]
* Klasse hinzugefügt

[Quiq::GD::Image]
* Klasse hinzugefügt

1.149 2019-07-05
================
[Quiq::Assert]
* Kosmetik

[Quiq::Cascm]
* Selektion für das Finden von Items verbessert

[Quiq::Converter]
* Kosmetik

[Quiq::Process]
* Von Quiq::System abgeleitet

1.148 2019-07-01
================
[Quiq::Assert]
* Methode isEnumValue() hinzugefügt
* Doku bearbeitet

[Quiq::Color]
* Doku bearbeitet

[Quiq::Database::Connection]
* Anzeige Hits im Log korrigiert
* Methode setSearchPath() hinzugefügt
* Methode insertMulti() hinzugefügt

[Quiq::Epoch]
* Doku bearbeitet

[Quiq::Excel::Writer]
* Doku bearbeitet

[Quiq::FileHandle]
* Doku bearbeitet

[Quiq::ModelCache]
* Doku bearbeitet

[Quiq::Database::Api]
* Doku bearbeitet

[Quiq::Progress]
* Doku bearbeitet

[Quiq::Properties]
* MultiLine-Eigenschaft hinzugefügt

[Quiq::Sql]
* Methode setSearchPath() hinzugefügt
* Methode insertMulti() hinzugefügt

[Quiq::Ssh]
* Doku bearbeitet

[Quiq::Test::Class]
* Doku bearbeitet

[Quiq::TreeFormatter]
* Doku bearbeitet

1.147 2019-06-22
================
[Makefile.PL]
* Excel::Writer::XLSX zu den Prerequisites hinzugefügt

1.146 2019-06-22
================
[Quiq::Cascm]
* edit(): Checkout und Checkin korrigiert
* view(): Emacs auf Readonly-Buffer umgestellt
* findItem(): Suche ohne Verankerung
* showPackage(): Redundante Einträge beseitigt

[Quiq::Database::ResultSet]
* Kosmetik

[Quiq::Excel::Writer]
* Klasse hinzugefügt

[Quiq::MediaWiki::Client]
* editPage(): Behandlung von CAPTCHAs hinzugefügt

[Quiq::Object]
* parameters(): hinzugefügt

[Quiq::Parameters]
* extract(): Schnelle Rückkehr bei leerer Parameterliste

[Quiq::Path]
* nextFile(): hinzugefügt

[Quiq::Program]
* parameters(): Sloppy-Modus hinzugefügt

[Quiq::Shell]
* exec(): -outputTo hinzugefügt - Umleitung der gesamten Ausgabe 

[Quiq::String]
* maxLineLength(): hinzugefügt

[Quiq::Table]
* Kolumnennamen optional

[Quiq::TableRow]
* Kolumnennamen optional

[Quiq::Xml::LibXml]
* Methode lookup() hinzugefügt

1.145 2019-06-04
================
[Quiq::Epoch]
* Test ISO-Zeitangabe korrigiert.

1.144 2019-06-04
================
[Quiq::Config]
* Konstruktor umgeschrieben.

[Quiq::ContentProcessor]
* Methode fetch() durch fetchToDir(), fetchToFile() ersetzt.

[Quiq::Epoch]
* ISO-Zeitangabe als neues Konstruktorargument.
* Methode loacaltime() hinzugefügt.

[Quiq::Formatter]
* Testcode verbessert.

[Quiq::Path]
* Methode checkFileSecurity() verbessert.

[Quiq::Sql]
* Doku bearbeitet.

1.143 2019-06-01
================
[Quiq::Formatter]
* Tests von Methode reducedIsoTime() verbessert

1.142 2019-05-31
================
[Quiq::Formatter]
* Methode reducedIsoTime() um ISO-Zeitangaben erweitert.

[Quiq::Path]
* Um Methode edit() erweitert.

[Quiq::Table]
* Doku bearbeitet.

[Quiq::TableRow]
* Doku bearbeitet.

[Quiq::Terminal]
* Doku bearbeitet.

1.140 2019-05-16
================
[Quiq::Cascm]
* Methode edit() um automatischen demoten und promoten erweitert
* Logausgabe SQL optional gemacht

[Quiq::ColumnFormat]
* Klasse durch Klasse Quiq::Properties ersetzt

[Quiq::Database::Connection]
* Cachepfad um UDL ergänzt
* Doku tableDiff() erweitert

[Quiq::Database::DataAnalysis]
* Klasse implementiert

[Quiq::Database::ResultSet]
* Methode formats() auf Quiq::Properties umgestellt

[Quiq::Gnuplot::*]
* Klassen hinzugefügt

[Quiq::Parameters]
* Methode extractToObject() hinzugefügt

[Quiq::Path]
* Methode nexExtension() hinzugefügt

[Quiq::Properties]
* Klasse hinzugefügt

[Quiq::Sdoc::*]
* Klassen entfernt

[Quiq::Ssh]
* Klasse hinzugefügt

[Quiq::Table]
* Klasse hinzugefügt

[Quiq::TableRow]
* Klasse hinzugefügt

[Quiq::Udl]
* Kosmetik

1.139 2019-05-01
================
[Quiq::AnsiColor]
* Doku bearbeitet

[Quiq::Cascm]
* Methode edit() verbessert
* Methode view() hinzugefügt
* Methode repoFileToFile() hinzugefügt

[Quiq::CommandLine]
* Methode addOption() verbessert, so dass Optionen übergangen werden,
  die keinen Wert haben.

[Quiq::Database::ResultSet::Object]
* Doku bearbeitet

[Quiq::Database::Connection]
* Methode schemas() hinzugefügt
* Methode tableDiff() hinzugefügt

[Quiq::Database::ResultSet]
* Methode asTable() verallgmeinert, dass die Titelliste des ResultSet
  von der Titelliste der Rows abweichen kann.

[Quiq::Parameters]
* Doku bearbeitet

1.138 2019-04-22
================
[Quiq::Database::Connection]
* Optionales Caching von Ergebnismengen hinzugefügt

[Quiq::Database::Cursor]
* Optionales Caching von Ergebnismengen hinzugefügt

[Quiq::Html::Table::List]
* Erzeugung Footer hinzugefügt

[Quiq::Html::Page]
* JavaScript-Code kann im Header oder am Ende der Seite plaziert werden

[Quiq::JQuery::DataTable]
* Erzeugung Footer hinzugefügt

[Quiq::Cascm]
* Operationen edit() und showPackage() hinzugefügt

[Quiq::Digest]
* Klasse hinzugefügt

[Quiq::Duration]
* Zeitformatierung und secondsToString() verbessert

[Quiq::FileHandle]
* read() korrigiert
* Methoden writeData() und readData() hinzugefügt

[Quiq::Program]
* Methode log() hinzugefügt

[Quiq::Sql]
* Methode commands() hinzugefügt
* Behandlung von undef in Methode whereClause() hinzugefügt

[Quiq::TempFile]
* Tilde-Expansion ergänzt

1.137 2019-03-30
================
Kwalitee Issues bearbeitet.

1.136 2019-03-30
================
Link-Generierung für POD verbessert.

[Quiq::Database::Api::Dbi::Connection]
* DBMS MSSQL eingeführt.

[Quiq::Database::Connection]
* DBMS MSSQL eingeführt.

[Sdoc2::Node]
* Link-Generierung für POD korrigiert.

[Quiq::Cascm]
* Methode movePackage() hinzugefügt.
* Methode demoteToBase() entfernt.

[Quiq::Hash]
* Akzessoren zu lvalue-Methoden gemacht.

[Quiq::Program]
* Zeitmessung durch Methode elapsed() eingeführt.

[Quiq::Shell]
* Tilde-Expansion zu cd() hinzugefügt.

[Quiq::Sql]
* DBMS MSSQL eingeführt.

[Quiq:: TreeFormatter]
* Parameter $level zu Callback-Methode hinzugefügt.

[Quiq::Udl]
* DBMS MSSQL eingeführt.

1.135 2019-03-02
================
[Quiq::Database::ResultSet]
Konstruktor um Default-Klasse erweitert.

In asTable() rows und time vertauscht.

[Quiq::MediaWiki::Client]
Upload von Dateien verbessert.

[Quiq::Cascm]
Klasse umfangreich erweitert.

[Quiq::Parallel]
Tilde-Expansion zu Outputfile hinzugefügt.

[Quiq::Path]
Option -unindent zu write() hinzugefügt.

Methode expandTilde() auf Pfad '~' korrigiert.

Kosmetik an Methode glob().

[Quiq::Shell]
Callback-Option logRewrite => sub{} eingeführt.

[Quiq::TreeFormatter]
Darstellungen 'up' und 'down' eingeführt.

1.134 2019-02-10
================
[Quiq::System]
Test, der einen Reverse-DNS Eintrag erfordert, entfernt.

1.133 2019-02-09
================
[Quiq::Array]
Methode compare() in different() umbenannt (alter Name als Alias).

[Quiq::Cascm]
Klasse überarbeitet/erweitert.

[Quiq::FileHandle]
Methode slurpFromStdin() hinzugefügt.

[Quiq::Parallel]
Sammeln der Prozessausgabe in getrennten Dateien hinzugefügt (Optionen
-outputDir, -outputFile)

[Quiq::Path]
Methode write() um Option .lock erweitert (für Nutzung via append())

Methode truncate() hinzugefügt.

[Quiq::Progress]
Doku bearbeitet.

[Quiq::Process]
Methode user() um parameterlose Fassung erweitert (eigener Benutzername).

1.132 2019-01-27
================
In der Doku global Abschnitt SEE ALSO vorgezogen.

[Quiq::Cascm]
Authentisierung mit verschlüsseltem Passwort credentialsOptions() hinzugefügt.

Methoden addFiles(), putFiles(), checkin(), checkout(), createPackage(),
deletePackage(), demote(), promote(), version(), deleteVersion() hinzugefügt.

[Quiq::FileHandle]
Tilde-Expansion zu new()/open() hinzugefügt.

[Quiq::MediaWiki::Client]
Von Quiq::MediaWiki::Api umbenammt.

Methode load() implementiert.

Doku überarbeitet.

[Quiq::Path]
Tilde-Expansion zu compare() hinzugefügt.

[Quiq::Record]
Format @@KEY@@ hinzugefügt.

1.131 2019-01-21
================
[Quiq::MediaWiki::Api]
Request siteInfo() hinzugefügt.

[Quiq::MediaWiki::Markup]
Codeerzeugung image() hinzugefügt.

[Quiq::Concat]
Doku bearbeitet.

[Quiq::Parameters]
Methode extractPropertiesToObject() hinzugefügt.

1.130 2019-01-19
================
[Quiq::Database::ResultSet]
In asTable() Datensatzzähler und Ausführungszeit vertauscht.

[Quiq::Html::Listing]
Warning im Zusammenhang mit x-Operator behoben.

[Quiq::MediaWiki::Api]
Konstruktor-Option -warnings hinzugefügt.

Methode loadPage() hinzugefügt.

[Sdoc2::Code]
Kosmetik.

[Quiq::AnsiColor]
Methode active() hinzugefügt.

[Quiq::Config]
Konstruktor-Option -secure hinzugefügt.

[Quiq::Converter]
Methode doubleDecode() hinzugefügt.

[Quiq::Hash]
Fehlermeldung bei nicht-existentem Schlüssel verbessert.

[Quiq::Path]
Methode checkFileSecurity() hinzugefügt.

[Sdoc2]
Methoden code(), paragraph() hinzugefügt.

Methode section() verallgemeinert.

[Quiq::Stacktrace]
Kosmetik.

1.129 2019-01-12
================
Bibliothek umbenannt von Prty in Quiq.

1.128 2019-01-06
================
[Quiq::MediaWiki::Markup]
POD-Fehler behoben.

[Quiq::Test::Class]
Durch skipTest() verursachte Meldungen à la "does not map to ascii" behoben.

[Quiq::TempDir]
Test bei Setzung von TMPDIR korrigiert.

[Quiq::TempFile]
Test bei Setzung von TMPDIR korrigiert.

1.126 2019-01-06
================
[Quiq::Confluence::Client]
Doku bearbeitet.

[Quiq::Confluence::Markup]
Doku bearbeitet.

[Quiq::Confluence::Page]
Von Data::Printer auf Quiq::Debug umgestellt.

[Quiq::Database::Resultset]
Methode asString() um Option -info erweitert.

[Quiq::LaTeX::LongTable]
Alignment-Erkennung auf erstes Zeichen beschränkt.

[Quiq::MediaWiki::Api]
Klasse Quiq::MediaWiki::Client Quiq::MediaWiki::Api umbenannt.

[Quiq::MediaWiki::Loader]
Klasse hinzugefügt.

[Quiq::MediaWiki::Markup]
Tabellen und Listen hinzugefügt.

[Quiq::MediaWiki::Page]
Klasse entfernt.

[Quiq::Test::Class]
Doku bearbeitet.

[Quiq::AnsiColor]
Default für Konstruktorargument.

[Quiq::AsciiTable]
Von FileHandle auf split() umgestellt.

[Quiq::Cascm]
Klasse hinzugefügt.

[Quiq::ColumnFormat]
Formatstring für numerische Werte umgestellt, da Problem bei großen Werten.

[Quiq::Debug]
Methode dump() zur Ausgabe von Datenstrukturen hinzugefügt.

[Quiq::FileHandle]
Option -createDir auf Dateischreiben eingeschränkt.

[Quiq::Parameters]
Methoden extractPropertiesToVariables(), extractToVariables() hinzugefügt.

[Quiq::Path]
Methoden copyToDir(), encoding(), findProgram(), exists() hinzugefügt.
Begonnen, Tilde-Expansion hinzuzufügen.

[Quiq::Process]
Methoden-Alias cd() für cwd() hinzugefügt.

[Quiq::Program]
Methode parameters() hinzugefügt.

[Quiq::Record]
Behandlung von Encoding hinzugefügt.

[Quiq::Shell]
Attribut cmdAnsiColor hinzugefügt.

[Quiq::Storable]
Methode memoize() hinzugefügt.

[Quiq::TempDir]
Klasse hinzugefügt.

[Quiq::TempFile]
Klasse hinzugefügt.

[Quiq::Time]
Zeitformat YYYYMMDD hinzugefügt.

[Quiq::TreeFormatter]
Stop-Erkennung und -Formatierung hinzugefügt.

[Quiq::Udl]
UDL-Zerlegung reimplementiert, damit Quoting von Metazeichen möglich ist.

1.125 2018-10-21
================
[Quiq::Test::Class]
Umlaute in Ausgabe von skipTest(), skipAllTests() konvertiert

1.124 2018-03-02
================
Zahlreiche Erweiterungen.

1.123 2018-01-30
================
[Quiq::AsciiTable]
Klasse hinzugefügt.

[Quiq::LaTeX::Generator]
Methoden hinzugefügt.

[Quiq::LaTeX::LongTable]
Klasse hinzugefügt.

[Quiq::Unindent]
Methode trimNL() hinzugefügt.

1.122 2018-01-23
================
Kosmetik. Kleinere Erweiterungen.

[Quiq::LaTeX::Generator]
Klasse hinzugefügt

[Quiq::LineProcessor]
Ehedem Quiq::TextFile. Erweitert.

[Quiq::LineProcessor::Line]
Ehedem Quiq::TextFile::Line. Erweitert.

1.121 2017-12-03
================
[Quiq::AnsiColor]
Klasse hinzugefügt.

[Quiq::CommandLine]
Klasse hinzugefügt.

[Quiq::Config]
Konstruktor um Tilde-Expansion erweitert.

[Quiq::ContentProcessor]
Methode commit() um Option -incomplete erweitert.
Methode load() überarbeitet.

[Quiq::ContentProcessor::*]
Dokumentation bearbeitet.

[Quiq::Database::ResultSet::Object]
Methode index() um Option -unique erweitert.

[Fibu::*]
Klassen hinzugefügt.

[Quiq::FFmpeg]
Methode extract169To43() um Default für fehlenden xOffset erweitert.

[Quiq::Hash]
Methode push() um das Pushen mehrerer Elemente erweitert.
Methode unshift() hinzugefügt.
Methode addNumber() hinzugefügt.

[Quiq::Math]
Diverse Methoden hinzugefügt.

[Quiq::Path]
Bei Methode delete() undefinierten Pfad berücksichtigt.
Bei Methode expandTilde() Exception, wenn $HOME nicht definiert ist.

[Quiq::Shell]
In Methode exec() Ermittlung des Exitcode korrigiert.

[Quiq::Sql]
In Methode opIN() zurückgenommen, das Wert als Ausdruck interpretiert wird.

[Quiq::Template]
Methode replace() liefert nun Referenz auf das Template-Objekt und
Keys werden in Regex geschützt.

[Quiq::Test::Class]
Methode floatIs() um Angabe von Nachkommastellen erweitert.

[Quiq::TreeFormatter]
Klasse hinzugefügt.

1.120 2017-08-13
================
[Quiq::Array]
Methoden compare(), eq(), pick() hinzugefügt.

[Quiq::Confluence::Client]
Methode createAttachment() hinzugefügt.

[Quiq::DestinationTree]
Option -dryRun hinzugefügt.

[Quiq::Hash]
Doku bearbeitet.

[Quiq::Http::Client::Message]
Doku bearbeitet.

[Quiq::JavaScript]
Methode line() hinzugefügt.

[Quiq::Math]
Methode radToDegree() hinzugefügt.

[Quiq::Path]
In Methode copy() Behandlung der Option -createDir hinter das Öffnen
der Quelldatei verschoben.

[Quiq::Section::Object]
Methode add() hinzugefügt.

[Quiq::Test::Class]
Methode isClass() hinzugefügt.

1.119 2017-07-15
================
[Quiq::Pod::Generator]
Eingerückter Code wird nun getrimmt.

[Quiq::Test::Class]
ClassLoader entfernt. Die von Tests benötigten Klassen müssen nun
explizit geladen werden.

[Quiq::Hash]
Methode isLocked() versions-portabel gemacht.

1.118 2017-07-13
================
Perl - erforderliche Version auf 5.10.0 gesenkt.

File::Rsync - erforderliche Version auf 0.49 gehoben (in
Version 0.43 wird Option -delete nicht verstanden)

[Quiq::Hash]
Klasse umgeschrieben, so dass Hash::Util::hash_unlocked() nicht
mehr genutzt wird, da die Funktion in Perl < 5.18.0 nicht
funktioniert.

Debug-Modus entfernt.

[Quiq::Object]
Methode bless() umgeschrieben, so dass Hash::Util::hash_unlocked()
nicht mehr genutzt wird.

[Quiq::Path]
Methode copy() um Optionen -move und -overwrite ergänzt.

[Quiq::Sql]
IN-Klausel-Werte werden jetzt generell als Stringliterale
eingesetzt.

1.117 2017-07-09
================
Datei LICENSE hinzugefügt.

[Quiq::Ipc]
Testfall für Exitcode != 0 angepasst, so dass auch bei schneller
Ausführung von false(1) kein SIGPIPE ausgelöst wird.

[Quiq::Option]
Argumente, die undef sind, lösen keine Warning mehr aus.

1.116 2017-07-09
================
[Quiq::Hash]
Unsinnigen Test auf gleiche Bucket-Größe nach clear() entfernt, da
unportabel. Die zulässigen Keys in einem Restricted Hash
bleiben in neueren Perl-Versionen nicht erhalten.

Setzen von Bucket-Größe via buckets() entfernt, da unportabel.
In neueren Perl-Versionen nicht mehr möglich.

[Quiq::Test::Class]
Methode floatIs() hinzugefügt.

[Quiq::Math]
Rundung bei Vergleich von Float-Werten zum Testcode hinzugefügt.

[Quiq::Timeseries::Synchronizer]
Rundung bei Vergleich von Float-Werten zum Testcode hinzugefügt.
